LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XFrameGrabber Interface Reference

This interface provides an easy access to a stream images using their position in the time. More...

`import"XFrameGrabber.idl";`

## Public Member Functions
::com::sun::star::graphic::XGraphic | grabFrame ([in] double fMediaTime)
| returns the image of the underlying stream at a given position More...

## Detailed Description

This interface provides an easy access to a stream images using their position in the time.

## Member Function Documentation

## ◆ grabFrame()

::com::sun::star::graphic::XGraphic grabFrame | ( | [in] double | fMediaTime | ) |

returns the image of the underlying stream at a given position

Parameters

  fMediaTime | the time in seconds of the image to get. This time has to be a positive value inferior to the stream duration.

The documentation for this interface was generated from the following file:

- com/sun/star/media/XFrameGrabber.idl